# coding=utf-8

import django_filters

from apps.tenant.employee.models import Employee


class EmployeeFilter(django_filters.FilterSet):
    company_name = django_filters.CharFilter(field_name='tenant__company_name', lookup_expr='icontains')
    name = django_filters.CharFilter(field_name='name', lookup_expr='icontains')
    tel = django_filters.CharFilter(field_name='tel', lookup_expr='icontains')
    type = django_filters.CharFilter(method='query_type')

    def query_type(self, queryset, *args):
        queryset = queryset.filter(type__in=args[1].split(','))
        return queryset

    class Meta:
        model = Employee
        fields = '__all__'
