from rest_framework import serializers
from .models import OperationHelp
from django.conf import settings

class OperationHelpSerializer(serializers.ModelSerializer):
    enable_text = serializers.SerializerMethodField()
    create_user_name = serializers.CharField(source='create_user.employee.name', read_only=True)
    tenant_name = serializers.CharField(source='tenant.company_name', read_only=True)

    def get_enable_text(self,obj):
        if obj.enable:
            return '是'
        return '否'

    class Meta:
        model = OperationHelp
        fields = '__all__'

    def create(self, validated_data):
        validated_data['create_user'] = self.context['request'].user
        validated_data['tenant'] = self.context['request'].user.employee.tenant
        instance = super(OperationHelpSerializer, self).create(validated_data)

        return instance



